qemu-hwe (1:10.2.1+ds-1ubuntu7) stonking; urgency=medium

  * d/hwe-helper/99-ubuntu-virt.conf: invoke apt hook only if script exists
    and ignore potential hook failure.
    (LP: #2155665)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 08 Jun 2026 10:25:46 +0200

qemu-hwe (1:10.2.1+ds-1ubuntu6) stonking; urgency=medium

  * Fix race condition when using iothreads and throttle groups (LP: #2150154)
    - d/p/lp2150154-1-block-throttle-groups-fix-deadlock-with-iolimits-and.patch
    - d/p/lp2150154-2-throttle-group-Fix-race-condition-in-throttle_group_.patch

 -- Hector Cao <hector.cao@canonical.com>  Wed, 20 May 2026 09:09:04 +0200

qemu-hwe (1:10.2.1+ds-1ubuntu5) stonking; urgency=medium

  * d/qemu-guest-agent.postinst: trigger udev rule to start the service
    (LP: #2102093)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 29 Apr 2026 09:18:27 +0200

qemu-hwe (1:10.2.1+ds-1ubuntu4) resolute; urgency=medium

  * d/t/*: fix test-helper-script.py test failure
     - d/t/control : allow stderr for test-helper-script.py
     - d/t/test-helper-script.py : skip checking for removed qemu-efi-arm
     (LP: #2147320)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 06 Apr 2026 09:27:23 +0200

qemu-hwe (1:10.2.1+ds-1ubuntu3) resolute; urgency=medium

  * d/{hwe-helper/*, control}: add virt helper package
     (LP: #2145809)
    - d/t/test-helper-script.py : add test for hwe helper script
  * d/control: remove dependency on deprecated edk2 arm
    (LP: #2145209)

  [ Heinrich Schuchardt ]

  * d/p/u/lp2133188/*: Add riscv64 vector state to signal context
    (LP: #2133188)
  * d/p/u/hw-acpi-correct-field-sequence-in-SPCR-table (LP: #2146419)

 -- Hector Cao <hector.cao@canonical.com>  Fri, 27 Mar 2026 10:43:10 +0100

qemu-hwe (1:10.2.1+ds-1ubuntu2) resolute; urgency=medium

  * d/*: creation of hwe packages (LP: #2143146)

 -- Hector Cao <hector.cao@canonical.com>  Sat, 07 Mar 2026 03:25:56 +0100

qemu (1:10.2.1+ds-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2131929):
    Among several other backported fixes this will resolve
    - qemu-system-any brings in random system emulator with the
      new APT solver (LP: #2127053)
    - add termios2 support (LP: #2133804)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1776189 1761372 1769053 2012763 2131822)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data, due to that also
      - d/rules: Export DEB_BUILD_PROFILES with
        pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
      - d/control: Disable B-D on seabios.
      - d/rules: Disable upstream tests depending on qemu-system-data
    - d/control-in: B-D on multipath libs for multipath persist in
      qemu-pr-helper (LP 2117378)
    - d/control-in: breaks/replaces for dtb files moving qemu-system-misc
      to qemu-system-data
    - d/rules: Use upstream vDSO for architecture variant builds (LP 2131236)
  * Updated delta:
    - d/p/u/define-ubuntu-machine-types.patch: update to match 10.2
  * Dropped changes:
    - d/p/u/lp2121787/* : Fix migration issues because of missing features
      (LP 2121787)
      [Fixed in upstream 10.2]
    - d/p/u/lp-2123828-*: Fix RISC-V instructions endianness (LP 2123828)
      [Fixed in upstream 10.2]

 -- Hector Cao <hector.cao@canonical.com>  Tue, 17 Feb 2026 02:02:42 +0100

qemu (1:10.2.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    (Closes: #1123670, CVE-2025-14876)
  * - fix-PIRQ-bounds-check-in-xen_physdev_map_pirq-CVE-2026-0665.patch
  * remove ipxe from FIRMWAREPATH (needs ipxe from trixie and up)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Feb 2026 10:30:07 +0300

qemu (1:10.2.0+ds-2) unstable; urgency=medium

  * two patches to make statically-linked linux-user not depend on nss
    (remove linkage to qemu-sockets.c)
  * 1095935.patch (Closes: #1095935)
  * d/control: qemu-user: mention possibility to sym-link files in
    /usr/share/qemu/binfmt.d/ to /etc/binfmt.d/
  * d/rules: remove workaround for #1019011 for palcode-clipper -
    the bug in gcc has been fixed (in 2022)
  * d/control: better versioned dependencies of qemu modules: use
    qemu-system-common as a syncronisation point instead of qemu-system-any
    (Closes: LP#2127053)
  * d/control: finally de-couple qemu-system-riscv and qemu-system-s390x
    from qemu-system-misc (remove misc:Depends: riscv, s390x)
  * fix-PIRQ-bounds-check-in-xen_physdev_map_pirq-CVE-2026-0665.patch
    (Closes: #1125423, CVE-2026-0665)
  * d/copyright: fix Files/License sections

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jan 2026 18:22:29 +0300

qemu (1:10.2.0+ds-1) unstable; urgency=medium

  * new upstream release
  * d/gbp.conf: switch to 10.2
  * d/patches: refresh
  * d/control.mk: checked-version: 10.2.0+ds, vdso-version: 1:10.2.0+ds-1~
  * d/copyright: rename u-boot-sam460ex bin following upstream change
  * d/copyright: add pc-bios/npcm[78]xx_bootrom.bin to Files-Excluded
  * d/rules: adjust for u-boot-sam460ex rename, work around build bug,
    provide a compat symlink for now
  * d/control.mk: 32bit mips and powerpc hosts are not supported anymore

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 24 Dec 2025 23:20:44 +0300

qemu (1:10.1.3+ds-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream stable/bugfix release 10.1.3
    Closes: #1119917, CVE-2025-12464 (buffer overflow in e1000_receive_iov)
    Closes: #1117153, CVE-2025-11234 (UAF in websocket handshake code)
  * d/qemu-user.postinst: add the forgotten `set -e'
  * d/rules: enable vnc-sasl and vnc password (through nettle)
    for xen build (Closes: #1041533)
  * remove patches applied upstream:
    - linux-user-use-correct-type-for-FIBMAP-and-FIGETBSZ.patch
    - tcg-arm-fix-tgen_deposit.patch

  [ Heinrich Schuchardt ]
  * d/rules: reword build-vdso comment

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 15 Dec 2025 17:45:49 +0300

qemu (1:10.1.2+ds-3) unstable; urgency=medium

  * d/control: qemu-system-xen: add the forgotten ipxe-qemu dependency
    qemu-system binaries require pxe boot roms for the network adaptors.
    When splitting qemu-system-xen into its own package, this dependency
    has been forgotten initally, but has been enabled for bookworm (#1035676).
    However, this change were lost when uploading the next version of qemu
    aimed for trixie.  So trixie has this issue too, despite it's been fixed
    in bookworm already.  (Closes: #1035676, #1120146)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 13 Nov 2025 11:38:07 +0300

qemu (1:10.1.2+ds-2) unstable; urgency=medium

  * d/control: bump seabios dependency to 1.17.0 due to ESP fixes
  * linux-user-use-correct-type-for-FIBMAP-and-FIGETBSZ.patch
    (Closes: #1119257)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 04 Nov 2025 15:43:29 +0300

qemu (1:10.1.2+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: #1112285 (assertion failure in qemu-system-alpha)
    Fixes migration from 10.0 and earlier

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 21 Oct 2025 08:03:28 +0300

qemu (1:10.1.1+ds-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream stable/bugfix release
    Closes: #1082377, CVE-2024-8354
  * removed patches included upstream:
    - block-curl-fix-curl-internal-handles-handling.patch
    - e1000e-prevent-crash-from-legacy-interrupt-firing-af.patch
    - ui-spice-fix-crash-when-disabling-GL-scanout-on.patch
    - hw-vfio-user-add-x-pci-class-code.patch
  * d/control.mk: checked-version := 10.1.1+ds
  * d/control: add python3-distlib:native build-dep variant due to #1115197
  * aarch64-linux-user-no-pauth.patch: disable pauth on aarch64 linux-user
    by default (Closes: #1113951)

  [ Luca Boccassi ]
  * qemu-guest-agent: add ConditionVirtualization=vm
  * qemu-guest-agent: add Documentation= referring to manpages

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 09 Oct 2025 14:50:34 +0300

qemu (1:10.1.0+ds-5ubuntu5) resolute; urgency=medium

  * Ensure successful migration for old releases with arch-caps fix
    SRU. (LP: #2131822)
    - d/p/u/lp2131822/* : create ubuntu v2 machine types for old
      affected Ubuntu releases and enable arch_caps fix for them.
    - d/qemu-system-x86.NEWS: info about the new types

 -- Hector Cao <hector.cao@canonical.com>  Wed, 10 Dec 2025 11:49:12 +0000

qemu (1:10.1.0+ds-5ubuntu4) resolute; urgency=medium

  * d/rules: Use upstream vDSO for architecture variant builds (LP: #2131236)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 03 Dec 2025 10:46:40 +0100

qemu (1:10.1.0+ds-5ubuntu3) resolute; urgency=medium

  * d/p/u/lp-2123828-*: Fix RISC-V instructions endianness (LP: #2123828)

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Mon, 29 Sep 2025 11:18:00 +0200

qemu (1:10.1.0+ds-5ubuntu2) questing; urgency=medium

  * d/p/u/lp2121787/* : Fix migration issues because of missing features
    (LP: #2121787)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 01 Oct 2025 10:13:29 +0200

qemu (1:10.1.0+ds-5ubuntu1) questing; urgency=medium

  * Merge with Debian unstable.
    Among several other backported fixes this will resolve
    - fix crash when disabling GL scanout on (LP: #2121832)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data, due to that also
      - d/rules: Export DEB_BUILD_PROFILES with
        pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
      - d/control: Disable B-D on seabios.
      - d/rules: Disable upstream tests depending on qemu-system-data
    - d/control-in: B-D on multipath libs for multipath persist in
      qemu-pr-helper (LP 2117378)
    - d/control-in: B-D on multipath libs for multipath persist in
      qemu-pr-helper (LP 2117378)
    - d/control-in: breaks/replaces for dtb files moving qemu-system-misc
      to qemu-system-data
  * Dropped changes [ in 1:10.1.0+ds-5 ]
    - d/p/u/mitigate-gcc15-wrong-behavior.patch: mitigate riscv emulation
      being broken by gcc15 on ppc64 (LP 2120835)
    - d/p/u/mitigate-gcc15-ftbfs.patch: fix FTBFS in sam460ex replacing
      d/p/u-boot-sam460ex-stdc23.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 15 Aug 2025 08:07:30 +0200

qemu (1:10.1.0+ds-5) unstable; urgency=medium

  * seabios-hppa-remove-acpi.patch: stop embedded pre-compiled
    binaries (which are not used)
  * riscv-on-ppc64-gcc15-121689.patch (LP#2120835)
    Work around gcc-15 bug resulting in bad code on ppc64

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 13 Sep 2025 10:57:08 +0300

qemu (1:10.1.0+ds-4) unstable; urgency=medium

  * ui-spice-fix-crash-when-disabling-GL-scanout-on.patch
    (hopefully Closes: #1110512)
  * hw-vfio-user-add-x-pci-class-code.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 11 Sep 2025 21:50:26 +0300

qemu (1:10.1.0+ds-3) unstable; urgency=medium

  * block-curl-fix-curl-internal-handles-handling.patch (Closes: #1111809)
  * e1000e-prevent-crash-from-legacy-interrupt-firing-af.patch
  * u-boot-sam460ex-stdc23.patch: two more cases of bool typedef

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 10 Sep 2025 10:56:33 +0300

qemu (1:10.1.0+ds-2) unstable; urgency=medium

  * tcg-arm-fix-tgen_deposit.patch: fix tcg failure on 32bit arm

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 29 Aug 2025 18:28:07 +0300

qemu (1:10.1.0+ds-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2120700 LP: #2115707).
    Among many other improvements things this will resolve
    - Report vfio-ap configuration changes with CHSC Store
      Event Information (LP: #2119160)
    - SECURITY UPDATE of possible binfmt privilege escalation (LP: #2120814)
      fixed in 1:10.1.0~rc3+ds-2, stop using C (Credentials) flag for
      binfmt_misc registration.
    - Save/restore and in-release migrations blocked by pdcm
      detection failing on pdcm feature detection (LP: #2120649)
    - Final fix for "Close the gap to support AMD SEV SNP for Nvidia H100
      cards" (LP: #2097517) merged upstream in 10.1
    - Implement Control Program Identification (LP: #2118769)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data, due to that also
      - d/rules: Export DEB_BUILD_PROFILES with
        pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
      - d/control: Disable B-D on seabios.
      - d/rules: Disable upstream tests depending on qemu-system-data
    - d/control-in: B-D on multipath libs for multipath persist in
      qemu-pr-helper (LP 2117378)
    - d/p/u/ubuntu/mitigate-gcc15-ftbfs.patch: fix gcc-15 FTBFS
      + roms/u-boot-sam460ex/config.mk would ignore cflags, set it in makefile
      + SLOF would fail with old and new std, but works with updated headers
        matching the recent libgcc-15-dev package in questing leveraging
        /usr/lib/gcc/x86_64-linux-gnu/15/include/stdbool.h
  * Updated delta:
    - d/p/u/define-ubuntu-machine-types.patch: update to match 10.1
  * Added changes
    - d/control-in: breaks/replaces for dtb files moving qemu-system-misc
      to qemu-system-data
    - d/p/u/mitigate-gcc15-wrong-behavior.patch: mitigate riscv emulation
      being broken by gcc15 on ppc64 (LP: #2120835)
    - d/p/u/mitigate-gcc15-ftbfs.patch: fix FTBFS in sam460ex replacing
      d/p/u-boot-sam460ex-stdc23.patch
    - d/control-in: B-D on multipath libs for multipath persist in
      qemu-pr-helper (LP: #2117378)
  * Dropped Changes [ Fixed in rust-coreutils ]:
    - d/rules: Workaround for bug LP 2112445, keep arches in one line for now
  * Dropped Changes [in Upstream 10.1 ]:
    - d/p/u/lp-2097517-*: allow VFIO without discard (LP 2097517)
    - d/p/u/lp-2097517-TEMP-Revert-RAMBlock-make-guest_memfd-*: update to match
      qemu 10.0 and add hint on when to replace with a final solution
    - d/p/u/lp-2107396-*: fix ppc boot with vfio >128G memory (LP 2107396)
  * Dropped Changes [in Debian now ]:
    - Add missing recommends for qemu-system-riscv (LP 2115150).
      This is required for booting via EDK II, using the spice protocol, using
      OpenGL, special block devices as qemu-sytem-arm and qemu-system-x86.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 15 Aug 2025 08:07:30 +0200

qemu (1:10.1.0+ds-1) unstable; urgency=medium

  * new upstream release (v10.1.0)
    Closes: #1107104, #1108387
  * d/gbp.conf: switch to upstream-10.1 branch
  * d/watch: switch to 10.1.x series
  * d/copyright: update Files-Excluded
  * d/patches/qemu-img-options.patch: remove
  * remove patches which has been applied upstream:
    - hw-display-qxl-render.c-fix-qxl_unpack_chunks-chunk-.patch
    - system-physmem-fix-use-after-free-with-dispatch.patch
    - pcie_sriov-Fix-configuration-and-state-synchronizati.patch
    - hw-uefi-clear-uefi-vars-buffer-in-uefi_vars_write-CVE-2025-8860.patch
  * d/patches/gnu-hurd.patch: refresh
  * d/patches/disable-pycotap.patch: refresh
  * d/control.mk: checked-version=10.1.0+ds
  * d/rules: remove --enable-avx2 (not used anymore)
  * d/rules: dts files in pc-bios moved into a subdir (pc-bios/dtb)
  * skip-install-dtb.patch: avoid installing dtb files during arch build
    These are built in indep step in d/rules.
    + skip-install-dtb.patch
  * d/rules: use ${sysdataidir} in one more place instead of direct reference
  * d/control: remove redundant unversioned python3 from Build-Depends
  * d/control.mk: enable microblaze system targets on 32bit hosts
    microbiaze has been erroneously treated as 64bit architecture,
    and has been disabled in 10.0 on 32bit hosts.  Now it is correctly
    treated as 32bit architecture and is buildable on 32bit hosts again
  * d/control: suggest passt among with vde2
  * d/rules: add comment to remove ipxe from FIRMWAREPATH
  * d/rules: remove --disable-pie from i386 qemu-user build
    and remove references to old related bugs
  * two patches for roms to support gcc -std=23 (bool type)
    +SLOF-stdc23.patch
    +u-boot-sam460ex-stdc23.patch
    Closes: #1097693
  * d/*.lintian-overrides: remove spelling-error-in-binary wtH mips overrides

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 27 Aug 2025 10:34:09 +0300

qemu (1:10.0.3+ds-4) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * d/control: qemu-system-riscv missing recommends
    qemu-system-riscv needs the same/similar packages for EFI, spice,
    opengl, special block devices, as qemu-system-arm and qemu-system-x86

  [ Michael Tokarev ]
  * d/control: omit system-xen if omit-system build profile is specified
    this makes pkg.qemu.omit-system to omit all system components,
    including xen
  * qemu-user binfmts: stop supporting old kernels using custom patch
    qemu supports argv[0] handling with a help of kernel support since
    at least bullseye (or even buster), - for a really long time.
    There's no need to use custom code for older kernels anymore.
    Also closes: #1054104
  * d/binfmt-install: do not generate update-binfmt un-registration
    postinst script for upgrades from bookworm
  * d/control: drop old (pre-bookworm) breaks/replaces/conflicts/provides
  * hw-uefi-clear-uefi-vars-buffer-in-uefi_vars_write-CVE-2025-8860.patch
    Closes: #1111030, CVE-2025-8860
  * d/control: remove long-forgotten qemu-system-common dependency on acl
    (for #762192) which is not needed
  * remove qemu-user-static package (& qemu-debootstrap)
    remove links to qemu-user with -static suffix, together with
    obsolete qemu-debootstrap command.
    qemu-user-static is now provided by qemu-user-binfmt package.
    Also closes: #1107554
  * d/gbp.conf: switch to master branch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 21 Aug 2025 19:03:00 +0300

qemu (1:10.0.3+ds-3) unstable; urgency=medium

  * d/binfmt-install: stop using C (Credentials) flag for binfmt_misc
    registration.  This means suid and sgid binaries under qemu-user
    will work without changing credentials.  This is a serious security
    issue, since qemu-user never supposed to be used in this way, and
    it is trivial to get elevated privileges for an attacker if there's
    any suid/sgid binary under qemu-user which is runnable for an
    attacker.  This change might break CI/testing environment expectations.
  * d/qemu-user.postinst: trigger /usr/lib/binfmt.d (#1110982)
  * d/rules: fix typo in comment (it is qemu-system-data, not qemu-user-data)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 14 Aug 2025 17:25:52 +0300

qemu (1:10.0.3+ds-2) unstable; urgency=medium

  * d/control: (temporarily) build-depend on python3-distlib
    to work around new pip 25.2+ in forky

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Aug 2025 20:38:04 +0300

qemu (1:10.0.3+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - Update version for 10.0.3 release
   - hvf: arm: Emulate ICC_RPR_EL1 accesses properly
   - target/arm: Correct encoding of Debug Communications Channel registers
     https://gitlab.com/qemu-project/qemu/-/issues/2986
   - ui: fix setting client_endian field defaults
   - hw/net/npcm_gmac.c: Send the right data for second packet in a row
   - target/i386: do not expose ARCH_CAPABILITIES on AMD CPU
   - i386/cpu: Honor maximum value for CPUID.8000001DH.EAX[25:14]
   - i386/cpu: Fix overflow of cache topology fields in CPUID.04H
   - i386/cpu: Fix cpu number overflow in CPUID.01H.EBX[23:16]
   - ui/vnc: Do not copy z_stream
   - vhost: Fix used memslot tracking when destroying a vhost device
   - roms: re-remove execute bit from hppa-firmware*
   - file-posix: Fix aio=reads performance regression after enablign FUA
     https://issues.redhat.com/browse/RHEL-96854
   - amd_iommu: Fix truncation of oldval in amdvi_writeq
   - amd_iommu: Remove duplicated definitions
   - amd_iommu: Fix the calculation for Device Table size
   - amd_iommu: Fix mask to retrieve Interrupt Table Root Pointer from DTE
   - amd_iommu: Fix masks for various IOMMU MMIO Registers
   - amd_iommu: Update bitmasks representing DTE reserved fields
   - amd_iommu: Fix Device ID decoding for INVALIDATE_IOTLB_PAGES command
   - amd_iommu: Fix Miscellaneous Information Register 0 encoding
   - virtio-net: Add queues for RSS during migration
   - net: fix buffer overflow in af_xdp_umem_create()
   - accel/kvm: Adjust the note about the minimum required kernel version
   - linux-user: Use qemu_set_cloexec() to mark pidfd as FD_CLOEXEC
   - migration: Don't sync volatile memory after migration completes
   - linux-user: Hold the fd-trans lock across fork
     https://gitlab.com/qemu-project/qemu/-/issues/2846
   - linux-user: Check for EFAULT failure in nanosleep
   - linux-user: Implement fchmodat2 syscall
     https://gitlab.com/qemu-project/qemu/-/issues/3019
   - hw/arm/fsl-imx8mp: Wire VIRQ and VFIQ
   - target/arm: Don't enforce NSE,NS check for EL3->EL3 returns
     https://gitlab.com/qemu-project/qemu/-/issues/3016
   - target/i386: fix TB exit logic in gen_movl_seg() when writing to SS
     https://gitlab.com/qemu-project/qemu/-/issues/2987
   - target/arm: Fix bfdotadd_ebf vs nan selection
   - target/arm: Fix f16_dotadd vs nan selection
   - target/arm: Fix PSEL size operands to tcg_gen_gvec_ands
   - target/arm: Fix 128-bit element ZIP, UZP, TRN
   - target/arm: Fix sve_access_check for SME
   - target/arm: Fix SME vs AdvSIMD exception priority
   - hw/s390x/ccw-device: Fix memory leak in loadparm setter
   - virtio-gpu: support context init multiple timeline
   - target/arm: Correct KVM & HVF dtb_compatible value
   - target/arm: Make RETA[AB] UNDEF when pauth is not implemented
   - tcg: Fix constant propagation in tcg_reg_alloc_dup
     https://gitlab.com/qemu-project/qemu/-/issues/3002
   - target/loongarch: fix vldi/xvldi raise wrong error
   - target/loongarch: add check for fcond
   - linux-user/arm: Fix return value of SYS_cacheflush
   - hw/arm/mps2: Configure the AN500 CPU with 16 MPU regions
   - qemu-options.hx: Fix reversed description of icount sleep behavior
   - hw/arm/virt: Check bypass iommu is not set for iommu-map DT property
   - hw/loongarch/virt: Fix big endian support with MCFG table
   - hw/core/qdev-properties-system: Add missing return in set_drive_helper()
   - iotests: fix 240
   - target/i386: Remove FRED dependency on WRMSRNS
   - hw/audio/asc: fix SIGSEGV in asc_realize()
   - audio: fix size calculation in AUD_get_buffer_size_out()
   - audio: fix SIGSEGV in AUD_get_buffer_size_out()
   - hw/i386/amd_iommu: Fix xtsup when vcpus < 255
   - hw/i386/amd_iommu: Fix device setup failure when PT is on.
   - hw/i386/pc_piix: Fix RTC ISA IRQ wiring of isapc machine
   - vhost: Don't set vring call if guest notifier is unused
   - hw/arm: Add missing psci_conduit to NPCM8XX SoC boot info
   - ui/vnc: fix tight palette pixel encoding for 8/16-bpp formats
   - ui/vnc: take account of client byte order in pixman format
   - ui/vnc.c: replace big endian flag with byte order value
   - ui/sdl: Consider scaling in mouse event handling
   - ui/gtk: Update scales in fixed-scale mode when rendering GL area
   - gtk/ui: Introduce helper gd_update_scale
   - ui/gtk: Use consistent naming for variables in different coordinates
   - ui/gtk: Document scale and coordinate handling
   - hw/arm/aspeed_ast27x0: Fix RAM size detection failure on BE hosts
   - hw/misc/aspeed_hace: Ensure HASH_IRQ is always set
     to prevent firmware hang
  * d/gbp.conf: switch to debian-trixie branch
  * d/control.mk: checked-version=10.0.3+ds
  * qemu-img-options.patch: adjust help text for "convert" subcommand:
    use the historic option which were accepted by the upstream, not
    the new option introduced in this patch
  * pcie_sriov-Fix-configuration-and-state-synchronizati.patch from upstream
    Closes: #1109989, CVE-2025-54566, CVE-2025-54567

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Aug 2025 16:25:46 +0300

qemu (1:10.0.2+ds-2) unstable; urgency=medium

  * d/control: switch from Static-Built-Using
    back to Built-Using for qemu-user (Closes: #1106804)
  * d/rules: simplify qemu:archlist variable generation
    (does not change the resulting packages)
  * d/control: drop build dependency alternative on python3-tomli,
    which was needed for bpo builds before bookworm (Closes: #1105938)
  * system-physmem-fix-use-after-free-with-dispatch.patch long-awaited
    fix for UAF which was affected multiple other packages and was quite
    difficult to track (Closes: #1106792)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 25 Jul 2025 12:05:29 +0300

qemu (1:10.0.2+ds-1ubuntu2) questing; urgency=medium

  * Add missing recommends for qemu-system-riscv (LP: #2115150).
    This is required for booting via EDK II, using the spice protocol, using
    OpenGL, special block devices as qemu-sytem-arm and qemu-system-x86.
  * d/control: regenerate debian/control out of control-in.

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Wed, 02 Jul 2025 10:09:44 +0200

qemu (1:10.0.2+ds-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2109682).
    Among other improvements this also fixes:
    - hotplug of virtio-mem devices with CCW and PCI on s390x (LP: #2109587)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data, due to that also
      - d/rules: Export DEB_BUILD_PROFILES with
        pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
      - d/control: Disable B-D on seabios.
      - d/rules: Disable upstream tests depending on qemu-system-data
    - d/p/u/lp-2097517-*: allow VFIO without discard (LP 2097517)
  * Added or updates:
    - d/p/u/define-ubuntu-machine-types.patch: update to match 10.0 and
      add questing types
    - d/p/u/lp-2097517-TEMP-Revert-RAMBlock-make-guest_memfd-*: update to match
      qemu 10.0 and add hint on when to replace with a final solution
    - d/rules: Workaround for bug LP#2112445, keep arches in one line for now
    - d/p/u/lp-2107396-*: fix ppc boot with vfio >128G memory (LP: #2107396)
  * Dropped Changes [in Debian ]
    - Add seabios as recommends for qemu-system-arm (LP 2033905)
  * Dropped Changes [in Upstream 10.0 ]
    - d/p/u/lp-2049698-*: fixups for full boot order support not in 9.2
      (LP 2049698)
    - d/p/u/lp-2097884-*: virtio-mem support for s390x (LP 2097884)
    - d/p/u/lp-2097521-*: add CPU model support for s390x gen17 (LP 2097521)
    - d/p/u/linux-user-Do-not-define-struct-sched_attr-if-libc-h.patch:
      Fix FTBFS with glib 2.41
    - Fix qemu-aarch64-static segfaults running ldconfig.real (LP 2072564)
      - lp-2072564-elfload-Fix-alignment-when-unmapping-excess-reservat.patch
    - d/p/u/lp-2106092-*: fix default cpu type for ppc spapr
      machines >qemu 9.0 (LP 2106092)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Apr 2025 13:11:01 +0200

qemu (1:10.0.2+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   o Update version for 10.0.2 release
   o Drop support for Python 3.8
   o target/hppa: Fix FPE exceptions
   o linux-user/hppa: Send proper si_code on SIGFPE exception
   o target/hppa: Copy instruction code into fr1 on FPU assist fault
   o migration: Allow caps to be set when preempt or multifd cap enabled
   o migration/multifd: Don't send device state packets with zerocopy flag
   o qapi/misc-target: Fix the doc to distinguish query-sgx
     and query-sgx-capabilities
   o hw/pci-host: Remove unused pci_host_data_be_ops
   o hw/pci-host/gt64120: Fix endianness handling
   o i386/hvf: Make CPUID_HT supported
   o i386/tcg: Make CPUID_HT and CPUID_EXT3_CMP_LEG supported
   o target/riscv/kvm: do not read unavailable CSRs
   o target/riscv/kvm: add kvm_csr_cfgs[]
   o target/riscv/kvm: turn kvm_riscv_reg_id_ulong() into a macro
   o target/riscv/kvm: turn u32/u64 reg functions into macros
   o target/riscv/kvm: fix leak in kvm_riscv_init_multiext_cfg()
   o target/riscv/kvm: minor fixes/tweaks
   o target/riscv: Fix vslidedown with rvv_ta_all_1s
   o target/riscv: Fix the rvv reserved encoding of unmasked instructions
   o target/riscv: rvv: Apply vext_check_input_eew
     to vector indexed load/store instructions
   o target/riscv: rvv: Apply vext_check_input_eew to
     vector narrow/widen instructions
   o target/riscv: rvv: Apply vext_check_input_eew to
     vector integer extension instructions(OPMVV)
   o target/riscv: rvv: Apply vext_check_input_eew to
     vector slide instructions(OPIVI/OPIVX)
   o target/riscv: rvv: Apply vext_check_input_eew to
     OPIVV/OPFVV(vext_check_sss) instructions
   o target/riscv: rvv: Apply vext_check_input_eew to
     OPIVI/OPIVX/OPFVF(vext_check_ss) instructions
   o target/riscv: rvv: Apply vext_check_input_eew to vrgather
     instructions to check mismatched input EEWs encoding constraint
   o target/riscv: rvv: Add CHECK arg to GEN_OPFVF_WIDEN_TRANS
   o target/riscv: rvv: Source vector registers cannot overlap mask register
   o common-user/host/riscv: use tail pseudoinstruction for calling tail
   o target/riscv: fix endless translation loop on big endian systems
   o hw/riscv: Fix type conflict of GLib function pointers
   o target/riscv: pmp: fix checks on writes to pmpcfg in Smepmp MML mode
   o target/riscv: pmp: move Smepmp operation conversion into a function
   o target/riscv: pmp: don't allow RLB to bypass rule privileges
   o hw/nvme: fix nvme hotplugging
   o virtio: Call set_features during reset
   o s390x: Fix leak in machine_set_loadparm
   o 9pfs: fix FD leak and reduce latency of v9fs_reclaim_fd()
   o 9pfs: fix concurrent v9fs_reclaim_fd() calls
   o hw/i2c/imx: Always set interrupt status bit if interrupt condition occurs
   o xen: mapcache: Split mapcache_grants by ro and rw
   o xen: mapcache: Fix finding matching entry
   o target/i386: do not block singlestep for STI
   o target/i386: do not trigger IRQ shadow for LSS
   o hw/gpio/imx_gpio: Fix interpretation of GDIR polarity
   o docs: Don't define duplicate label in qemu-block-drivers.rst.inc
   o target/arm: Don't assert() for ISB/SB inside IT block
   o hw/arm/npcm8xx_boards: Correct valid_cpu_types setting of NPCM8XX SoC
   o accel/tcg: Don't use TARGET_LONG_BITS in decode_sleb128
   o meson: Use osdep_prefix for strchrnul()
   o meson: Share common C source prefixes
   o meson: Remove CONFIG_STATX and CONFIG_STATX_MNT_ID
   o meson: Use has_header_symbol() to check getcpu()
   o target/mips: Fix MIPS16e translation
   o hw/core/cpu: gdb_arch_name string should not be freed
   o hw/core: Get default_cpu_type calling machine_class_default_cpu_type()
   o target/avr: Improve decode of LDS, STS
   o target/i386/hvf: fix lflags_to_rflags
   o target/i386: Fix model number of Zhaoxin YongFeng vCPU template
  * hw-nvme-fix-nvme-hotplugging.patch: remove, applied upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 May 2025 10:13:25 +0300

qemu (1:10.0.0+ds-2) unstable; urgency=medium

  * pick hw-nvme-fix-nvme-hotplugging.patch from qemu mailinglist
    Closes: #1104889

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 12 May 2025 21:01:08 +0300

qemu (1:10.0.0+ds-1) unstable; urgency=medium

  * new upstream release (final)
  * d/control.mk: 10.0.0+ds

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 Apr 2025 10:22:04 +0300

qemu (1:10.0.0~rc3+ds-2) unstable; urgency=medium

  * d/control.mk: bump upstream version (forgotten commit in previous release)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 13 Apr 2025 13:25:58 +0300

qemu (1:10.0.0~rc3+ds-1) unstable; urgency=medium

  * new upstream release candidate
  * tcg-Allocate-TEMP_VAL_MEM-frame-in-temp_load.patch:
    remove, now included upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 13 Apr 2025 12:27:26 +0300

qemu (1:10.0.0~rc2+ds-2) unstable; urgency=medium

  * apply tcg-Allocate-TEMP_VAL_MEM-frame-in-temp_load.patch too,
    not just include it (really Closes: #1101599)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 07 Apr 2025 16:06:16 +0300

qemu (1:10.0.0~rc2+ds-1) unstable; urgency=medium

  * new upstream release candidate
  * hw-display-qxl-render.c-fix-qxl_unpack_chunks-chunk-.patch
    (Closes: #1084199)
  * tcg-Allocate-TEMP_VAL_MEM-frame-in-temp_load.patch
    (Closes: #1101599)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Apr 2025 14:44:18 +0300

qemu (1:10.0.0~rc1+ds-2) unstable; urgency=medium

  * d/tests/: fix tests on 32bit hosts.
    Only run the tests for binaries which are present.
  * d/control: gcc-aarch64-linux-gnu is needed for vbootrom/npcm8xx

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 28 Mar 2025 16:39:42 +0300

qemu (1:10.0.0~rc1+ds-1) unstable; urgency=medium

  * new upstream release candidate
  * d/gbp.conf: switch to 10.0
  * d/control.mk: 10.0.0~rc0+ds
  * microvm-default-machine-type.patch: refresh for 10.0
  * d/qemu-system-common.install: remove tcg modules (built-in now)
  * d/control.mk: (temporarily) remove 64bit targets and kvm on 32 bit hosts
  * d/qemu-system-common.install: install hw-uefi-vars.so
  * d/rules: build both npcm7xx and npcm8xx vbootroms
  * d/control: Standards-Version: 4.7.2
  * d/control: qemu-user: add Breaks/Replaces for qemu-user-binfmt
    too (for /usr/libexec/qemu-binfmt/*)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 27 Mar 2025 00:03:15 +0300

qemu (1:9.2.2+ds-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Add seabios as recommends for qemu-system-arm (LP: #2033905)

  [ Michael Tokarev ]
  * new upstream stable/bugfix release
  * d/copyright: remove Files-Excluded which are not relevant anymore
  * d/rules, d/control.mk: use ${empty} as list terminator
  * d/rules, d/control.mk: rework handling of kvm/native qemu-system
  * d/control.mk: enable kvm for loongarch64

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 05 Mar 2025 22:06:40 +0300

qemu (1:9.2.1+ds-1ubuntu6) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 09:10:26 -0400

qemu (1:9.2.1+ds-1ubuntu5) plucky; urgency=medium

  * d/p/u/lp-2106092-*: fix default cpu type for ppc spapr
    machines >qemu 9.0 (LP: #2106092)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Apr 2025 09:59:03 +0200

qemu (1:9.2.1+ds-1ubuntu4) plucky; urgency=medium

  * Rebuild against new libxen4.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:13:53 +0100

qemu (1:9.2.1+ds-1ubuntu3) plucky; urgency=medium

  * Fix qemu-aarch64-static segfaults running ldconfig.real (LP: #2072564)
    - lp-2072564-elfload-Fix-alignment-when-unmapping-excess-reservat.patch
    Thanks to Dimitry Andric for identifying the fix.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 26 Feb 2025 09:56:38 +0100

qemu (1:9.2.1+ds-1ubuntu2) plucky; urgency=medium

  * d/p/u/linux-user-Do-not-define-struct-sched_attr-if-libc-h.patch:
    Fix FTBFS with glib 2.41

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 21 Feb 2025 11:02:53 +0100

qemu (1:9.2.1+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2096705). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - d/p/u/lp2012763-maxcpus-too-low.patch: Bump max_cpus to 1024 on
      Jammy amd64 machine types.  (LP #2012763)
      [ Merged with the previous change. ]
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data.
    - d/rules: Export DEB_BUILD_PROFILES with
      pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
    - Disable upstream tests (due to impossibility of B-D on
      qemu-system-data).
      + d/control-in: Disable B-D on seabios.
      + d/rules: Add "nocheck" to DEB_BUILD_PROFILES.
    - d/p/u/lp-2097517-*: allow VFIO without discard (LP 2097517)
    - d/p/u/lp-2049698-*: fixups for full boot order support not in 9.2
      (LP 2049698)
    - d/p/u/lp-2097884-*: virtio-mem support for s390x (LP 2097884)
    - d/p/u/lp-2097521-*: add CPU model support for s390x gen17 (LP 2097521)
    - d/control: recommend seabios for qemu-system-arm (LP 2033905)
  * Drop changes
    - d/p/u/fix-s390x-migration.patch: Fix s390x migration regression.
      [ Incorporated upstream. ]
    - Drop lp-2097884-s390x-s390-virtio-ccw-don-t-crash-on-weird-RAM-sizes
      out of the series for lp-2097884
      [ Incorporated upstream. ]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 19 Feb 2025 10:33:19 +0100

qemu (1:9.2.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * d/control: add loong64 and riscv64 to spice-arch (Closes: #1093646)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Feb 2025 13:54:22 +0300

qemu (1:9.2.0+ds-5) unstable; urgency=medium

  * d/rules,d/control: add Conflicts: qemu-kvm when it Provides: qemu-kvm
  * remove openbios-array-bounds.diff & openbios-array-bounds-gcc12.patch
    (not needed anymore)
  * d/patches/u-boot-sam460ex-*: forward, add metadata
  * disable-pycotap.patch: disable usage of pycotap, - it is only used in tests
    which we do not run
  * d/rules: add Provides: qemu-system-native

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 12 Jan 2025 13:21:46 +0300

qemu (1:9.2.0+ds-4ubuntu3) plucky; urgency=medium

  * d/p/u/lp-2049698-*: fixups for full boot order support not in 9.2
    (LP: #2049698)
  * d/p/u/lp-2097884-*: virtio-mem support for s390x (LP: #2097884)
  * d/p/u/lp-2097521-*: add CPU model support for s390x gen17 (LP: #2097521)
  * d/control: recommend seabios for qemu-system-arm (LP: #2033905)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 12 Feb 2025 11:16:13 +0100

qemu (1:9.2.0+ds-4ubuntu2) plucky; urgency=medium

  * d/p/u/lp-2097517-*: allow VFIO without discard (LP: #2097517)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 07 Feb 2025 09:52:24 +0100

qemu (1:9.2.0+ds-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085275). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - d/p/u/lp2012763-maxcpus-too-low.patch: Bump max_cpus to 1024 on
      Jammy amd64 machine types.  (LP #2012763)
      [ Merged with the previous change. ]
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data.
    - d/rules: Export DEB_BUILD_PROFILES with
      pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
  * Drop changes:
    - d/rules: Temporarily disable generation of u-boot-sam460ex due
      to LP 2077036.
      [ Not needed. ]
    - d/rules: Reinstate u-boot-sam460ex rules.
    - d/rules: Unset ELF_PACKAGE_METADATA when building ROMs.
      (LP #2077431, #2077036)
      [ Incorporated by Debian. ]
    - d/p/u/lp2028964-add-support-sierra-forest.patch: Add support for
      Sierra Forest CPU model. (LP #2028964, #2077361)
      [ Incorporated upstream. ]
    - Fail gracefully when hotplugging a vCPU fails on PPC. (LP #2076587)
      + d/p/u/lp2076587-cpu-hotplug-crashes-guest-*.patch: Backport
        patches for upstream fix.
      [ Incorporated upstream. ]
    - SECURITY UPDATE: denial of service
      + debian/patches/CVE-2024-4693.patch: virtio-pci: Fix the use of
        an uninitialized irqfd
      + CVE-2024-4693
      [ Incorporated upstream. ]
    - SECURITY UPDATE: heap buffer overflow
      + debian/patches/CVE-2024-7730.patch: add max size bounds check in
        input cb
      + CVE-2024-7730
      [ Incorporated upstream. ]
    - d/p/u/lp-2091099-fix-9p-regression-cve-2023-2861.patch: Fix
      regression regarding CVE-2023-2861 affecting 9p filesystems.
      (LP #2091099)
      [ Incorporated by Debian. ]
    - d/rules: Revert move of helper binaries (qemu-bridge-helper,
      virtfs-proxy-helper, vhost-user-gpu) from /usr/lib/qemu/ to
      /usr/libexec/qemu/.  This was starting to cause breakages on other
      packages (libvirt, for example), and Debian went the same
      route.  This change can be dropped next cycle when QEMU is merged
      again.
      See https://salsa.debian.org/qemu-team/qemu/-/commit/f265f4788f
      for Debian's counterpart. (LP #2079870)
      [ Not needed anymore. ]
  * Add changes:
    - Disable upstream tests (due to impossibility of B-D on
      qemu-system-data).
      + d/control-in: Disable B-D on seabios.
      + d/rules: Add "nocheck" to DEB_BUILD_PROFILES.
    - d/p/u/fix-s390x-migration.patch: Fix s390x migration regression.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 23 Jan 2025 17:14:53 -0500

qemu (1:9.2.0+ds-4) unstable; urgency=medium

  * d/source/lintian-overrides: field-too-long Build-Depends-Arch override
  * d/control: add gcc-x86-64-linux-gnu to Build-Depends-Indep.  This makes
    not much sense but lets the build to succeed hopefully on any platform
    where all cross-compilers are available (Closes: #1091586)
  * add qemu-img-options.patch (qemu-img options rework)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 05 Jan 2025 00:24:25 +0300

qemu (1:9.2.0+ds-3) unstable; urgency=medium

  * d/changelog: mention #924667, #1027781, #1016810 for previous entry
  * d/rules: use 2 timeout multiplier for tests on all platforms,
    not just riscv64 (Closes: #1089870)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 24 Dec 2024 19:28:22 +0300

qemu (1:9.2.0+ds-2) unstable; urgency=medium

  * d/binfmt-install: remove forgotten cris linux-user target registration
    (Closes: #1089851)
  * d/rules,d/binfmt-install: pass list of targets on command line
    to catch errors like the previous one
  * d/binfmt-install: add 2 forgotten architectures: microblazeel and or1k
  * d/binfmt-install: note when we dropped binfmt-support registration
  * d/binfmt-install: drop compat symlinks for same-family binfmts from
    qemu-user-static doc dir.  Between [8.0 .. 9.1) (during trixie release
    cycle), we shipped /usr/share/doc/qemu-user-static/qemu-x86_64.conf etc
    on x86 (all architectures for the host cpu family) instead of enabling
    them, because it is too risky to enable emulation for same-family arch.
    These files were used by the user to manually register the binfmts from
    /etc/binfmt.d.  This does not work anymore, - if you used this setup,
    manually registering a binfmt for an architecture from the same family
    as your host CPU, please reconfigure them to point to the correct
    location, which is /usr/share/qemu/binfmt.d/.
    (cf: #924667, #1027781, #1016810)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 14 Dec 2024 10:03:36 +0300

qemu (1:9.2.0+ds-1) unstable; urgency=medium

  * add 3 patches queued for stable from upstream master branch
   9pfs-fix-regression-regarding-CVE-2023-2861.patch
   tcg-Reset-free_temps-before-tcg_optimize.patch
   tcg-riscv-Fix-StoreStore-barrier-generation.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Dec 2024 17:00:51 +0300

qemu (1:9.2.0+ds-1~exp1) experimental; urgency=medium

  * new upstream version
  * d/gbp.conf: switch to upstream-9.2 branch
  * d/copyright: stop removing pc-bios/s390-netboot.img (not shipped anymore)
  * d/copyright: remove roms/opensbi (not used anymore)
  * d/copyright: remove vendored rust crates
    (mk-origtargz does not handle Files-Included: correctly)
  * d/control: break old qemu-system-s390x (due to dropped s390x-netboot)
  * d/control.mk: remove cris architecture (dropped upstream)
  * remove openbios-spelling-endianess.patch
  * d/control: minimum meson version is 1.5 now
  * remove meson-Fix-MESONINTROSPECT-parsing.patch
  * d/rules: remove --disable-bpf for linux-user (fixed upstream)
  * d/control.mk: vdso-version=9.2.0~rc3+ds-1~
  * d/control.mk: checked-version=9.2.0+ds
  * d/control: new build dependency: python3-pycotap
  * d/qemu-system-common.*: virtfs-proxy-helper is gone
  * d/qemu-system-arm.lintian-overrides: remove "wTH" override
  * d/rules: remove qemu-vmsr-helper if !system (dh_missing complains about it)
  * gnu-hurd.patch: add more fixes
  * d/qemu-user.lintian-overrides: add statically-linked-binary override
  * d/control: qemu-guest-agent is linux-any for now (does not work on hurd)
  * d/rules: enable/disable guest agent explicitly at configure time

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 11 Dec 2024 20:26:36 +0300

qemu (1:9.1.2+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove revert-hw-audio-hda-fix-memory-leak-on-audio-setup.patch
  * add lintian-overrides for "wTH" spelling-error-in-binary for
    qemu-system-arm, qemu-system-mips, qemu-system-ppc and qemu-user
  * d/rules: move system package definitions to d/control.mk

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 Dec 2024 11:29:54 +0300

qemu (1:9.1.1+ds-5) unstable; urgency=medium

  * upload to rebuild with fixed libiscsi
  * move "addd" lintian-override from qemu-system-misc to qemu-system-riscv
  * d/qemu-user-static.lintian-overrides: remove "statically-linked-binary"
    override (not emitted anymore?)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 15 Nov 2024 09:30:28 +0300

qemu (1:9.1.1+ds-4) unstable; urgency=medium

  * d/tests/test-qemu-img.sh: fix syntax error in recent change
  * remove hw-audio-hda-avoid-unnecessary-re-open-stream-on-rec.patch
    (does not solve the issue)
  * +revert-hw-audio-hda-fix-memory-leak-on-audio-setup.patch
    revert the upstream change for now, til a better solution is found

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Nov 2024 10:37:00 +0300

qemu (1:9.1.1+ds-3) unstable; urgency=medium

  * d/tests/test-qemu-img.sh: use filesystem block size for ls -s,
    remove temp code for ppc64el
  * hw-audio-hda-avoid-unnecessary-re-open-stream-on-rec.patch
    fixing https://gitlab.com/qemu-project/qemu/-/issues/2639 (hopefully)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 07 Nov 2024 13:51:24 +0300

qemu (1:9.1.1+ds-2) unstable; urgency=medium

  * linux-user-elf-endianness.diff: remove the temp workaround
    the fix is in upstream qemu now, double fix breaks again.
  * d/control: temporarily add Depends: qemu-system-riscv,
    qemu-system-s390x (debain only) for qemu-system-misc to
    compensate for the split.  Should downgrade this to
    Recommends once the tests are fixed (#1086026, #1086024, edk2 !17)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 25 Oct 2024 16:22:29 +0300

qemu (1:9.1.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: #1081849, #1081850
    Includes a change listed as a fix for #1082406 (CVE-2024-8612)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 Oct 2024 21:41:12 +0300

qemu (1:9.1.0+ds-9~exp0) experimental; urgency=medium

  * d/tests/test-qemu-img.sh: print diagnostics on ppc64el
    where the test fails (temporary)
  * d/control-in: expand Enhances: list for qemu-block-extra
    (and qemu-block-supplemental on Ubuntu)
  * make qemu-system-s390x a separate package, just like on ubuntu
  * split out qemu-system-riscv* from qemu-system-misc to qemu-system-riscv
  * d/qemu-system-misc.NEWS: add NEWS item about s390x and riscv split

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 05 Oct 2024 12:53:34 +0300

qemu (1:9.1.0+ds-8) unstable; urgency=medium

  * d/qemu-user.lintian-overrides: add statically-linked-binary override
    for all qemu-* binaries
  * d/rules: specify -m for each install invocation, and use -m consistently
  * d/tests/test-qemu-user: rewrite, install and run busybox for all release
    architectures.  Remove superficial restriction - it is now a real test
  * d/patches/linux-user-elf-endianness.diff: temp/test patch
    to address #1081850

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Oct 2024 11:35:40 +0300

qemu (1:9.1.0+ds-7) unstable; urgency=medium

  * d/qemu-system-misc.links: remove escaped newlines, swap order (again!)
    (Closes: #1082771)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 26 Sep 2024 15:31:31 +0300

qemu (1:9.1.0+ds-6) unstable; urgency=medium

  * d/qemu-system-misc.links: fix the order of source/destination pairs
    (Closes: #1082771)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 26 Sep 2024 05:49:22 +0300

qemu (1:9.1.0+ds-5) unstable; urgency=medium

  * d/control: fix opensbi dependency (missing tilde)
    (Closes: #1082750)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Sep 2024 19:35:14 +0300

qemu (1:9.1.0+ds-4) unstable; urgency=medium

  * d/control: fix typo in comment, add comment
  * d/control: s/Built-Using/Static-Built-Using/ for qemu-user (static build)
    (this should allow qemu to migrate to testing much more easily)
  * stop building opensbi firmware, use packaged version (Closes: #1058905)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Sep 2024 13:50:06 +0300

qemu (1:9.1.0+ds-3) unstable; urgency=medium

  * revert the move of the helper binaries (qemu-bridge-helper,
    virtfs-proxy-helper, vhost-user-gpu) to /usr/libexec/qemu/,
    moving them back to /usr/lib/qemu/ where they had always been.
    This restores suid-root dpkg-statoverride for qemu-bridge-helper if the
    user enabled it, and makes common tools like libvirt to work correctly
    again.  Such change needs more thinking. Closes: #1080456.
  * d/microvm-devices.mak: disable VIRTIO_MEM and VIRTIO_PMEM devices
    These are PCI-only devices but PCI is disabled for microvm.
  * d/patches: remove revert-hw-virtio-move-stubs-out-of-stubs.patch after
    disabling virtio-mem and virtio-pmem.
  * d/microvm-devices.mak: disable Q35 machine type now when it is possible
    (in version 6.1 where microvm has been enabled it didn't work).
  * d/qemu-user-static.NEWS: write a news entry about qemu-user-static
    merge to qemu-user package
  * d/changelog: mention closing of #1079603 by 9.1.0+ds-1 (qemu-user merge)
  * d/changelog: fix a typo in old (7.2+dfsg-4) entry
  * d/changelog: remove duplicate entries from 9.0.2+ds-2 log
  * d/rules: disable tests on sparc64 (it fails there)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Sep 2024 14:33:28 +0300

qemu (1:9.1.0+ds-2) unstable; urgency=medium

  * d/binfmt-install: do not install old/compat binfmt symlinks
    for qemu-user-binfmt package (there was none) (fixes FTBFS)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 05 Sep 2024 08:31:03 +0300

qemu (1:9.1.0+ds-1) unstable; urgency=medium

  * new upstream release (9.1):
   - debian/gbp.conf: switch to 9.1 (experimental)
   - remove patches which are applied upstream:
     nbd-server-CVE-2024-7409-*
     scsi-fix-regression-and-honor-bootindex-again-for-le.patch
     virtio-net-Ensure-queue-index-fits-with-RSS-CVE-2024-6505.patch
     virtio-pci-Fix-the-use-of-an-uninitialized-irqfd.patch
   - cap-OPEN_MAX.diff: remove, not needed anymore (new code is different)
   - d/rules: stop --disable-pvrdma (it is removed)
   - d/control: bump meson build dep to >>1.1.0
   - d/control: drop version requirement for libpipewire
   - d/rules,d/control.mk: remove nios2 targets (dropped upstream)
   - revert-hw-virtio-move-stubs-out-of-stubs.patch: temp,
   - to work around upstream minimal microvm build breaklage
   - d/rules: install (x86-specific) qemu-vmsr-helper
     (binary and systemd units)
  * d/rules: switch system manpages from symlinks back to .so
    (cross-package symlinks to manpages are not handled by dh_installman)
  * merge qemu-user-static binaries into qemu-user package, making
    making qemu-user-static to be a helper/compatibility/transitional only:
   - d/binfmt-install: work on fixed packages
   - d/rules: expand $(install-user)
   - d/rules: move user-alias-* definitions closer to usage
   - d/rules install -static compat symlinks for qemu-user-static package
   - d/source/lintian-overrides: add unusual-field-spacing: Breaks
   - d/binfmt-install: little rework for $omit handling
   - d/binfmt-install: ship links to native-family binfmts in
     /usr/share/doc/$pkg for compatibility with 8.0..9.1~
   Closes: #1079603

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 05 Sep 2024 00:16:01 +0300

qemu (1:9.0.2+ds-7) unstable; urgency=medium

  * d/rules: make check actually needs system (disable testsuite if !system)
  * d/patches/gnu-hurd.patch: add IOV_MAX define too
  * d/rules: add mandir and man1dir variables to shorten things
  * d/rules: simplify/streamline install-system macro a little bit
  * d/rules: install-system macro: no need for leading tabs
  * d/binfmt-install: omit loongarch64 binfmt on loong64 (Closes: #1080085)
  * d/rules: use meson instead of make to run tests
  * d/rules: increase test timeout by a factor of 2 on riscv64 build

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 31 Aug 2024 08:56:40 +0300

qemu (1:9.0.2+ds-6) unstable; urgency=medium

  * cap-OPEN_MAX.diff: update to include second case of the same code
    (really closes: #1078757)
  * gnu-hurd.patch: update to define PATH_MAX on hurd
  * Revert "d/patches,d/binfmt-install: stop patching qemu to support old
    kernel binfmt interface (remove linux-user-binfmt-P.diff)"
    This change can be kept for longer to support bullseye and older kernels
  * d/binfmt-install: add aarch6_be fmt
  * d/binfmt-install: change a few \x7fELF into \x7f\x45\x4c\x46 in
    magic strings to align with masks and be consistent (no actual changes)
  * d/rules,d/control.mk: move some stuff from d/rules to d/control.mk
    and include control.mk earlier
  * d/control.mk: remember upstream version we built for and complain
    if it is not the same
  * d/rules: move user-targets definition to control.mk and verify
    if the list is correct
  * d/rules: move vdso list and handling to d/control.mk and verify
    vdso hasn't changed since last version
  * d/control, d/rules: enable the testsuite again (block only)
    since we build-depend on qemu-system-data.
    Add build-depends on seabios

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 26 Aug 2024 17:39:35 +0300

qemu (1:9.0.2+ds-5) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Unset ELF_PACKAGE_METADATA when building ROMs.
    Ubuntu started setting ELF_PACKAGE_METADATA during builds, but that
    can badly affect ROMs (see LP #2077431).

  [ Michael Tokarev ]
  * d/control: add alpha to utils-arch
  * d/control: remove kfreebsd-*
  * +gnu-hurd.patch (test)
  * d/rules: split-out d/control.mk
  * d/binfmt-install: remove s390x leftover (covered by last "*" entry)
  * d/rules: disable-bpf for qemu-user[-static] builds,
    it is leaked into the link uselessly
  * d/control: add the forgotten <!pkg.qemu.omit-system> for qemu-system-gui
  * d/rules: remove --disable-install-blobs from xen build
    (it is in common options already)
  * d/rules: pass --extra-cflags explicitly to each build
  * d/rules: pass --extra-ldflags to each build explicitly too
  * d/rules: generate Built-Using: for qemu-user-static from a linker .map file
  * d/patches,d/binfmt-install: stop patching qemu to support
    old kernel binfmt interface (remove linux-user-binfmt-P.diff)
  * refine build-depend-arch: qemu-system-data for ubuntu
    and refine comment around this
  * cap-OPEN_MAX.diff - temporary, Closes: #1078757 (fixed for good in 9.1)
  * virtio-pci-Fix-the-use-of-an-uninitialized-irqfd.patch -
    refresh from upstream
  * +nbd-server-CVE-2024-7409-Avoid-use-after-free-when-c.patch -
    one more fix for CVE-2024-7409

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 25 Aug 2024 18:50:52 +0300

qemu (1:9.0.2+ds-4ubuntu9) plucky; urgency=medium

  * d/p/u/lp-2091099-fix-9p-regression-cve-2023-2861.patch: Fix
    regression regarding CVE-2023-2861 affecting 9p filesystems.
    (LP: #2091099)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Jan 2025 14:56:38 -0500

qemu (1:9.0.2+ds-4ubuntu8) plucky; urgency=medium

  [ Bruce Cable ]
  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2024-4693.patch: virtio-pci: Fix the use of
      an uninitialized irqfd
    - CVE-2024-4693
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2024-7730.patch: add max size bounds check in
      input cb
    - CVE-2024-7730

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Nov 2024 07:59:04 -0500

qemu (1:9.0.2+ds-4ubuntu7) plucky; urgency=medium

  * No-change rebuild for libiscsi7 again.
    - The SONAME bump was reverted.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Nov 2024 19:43:04 +0000

qemu (1:9.0.2+ds-4ubuntu6) plucky; urgency=medium

  * No-change rebuild for libiscsi10

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 13 Nov 2024 07:56:16 +0000

qemu (1:9.0.2+ds-4ubuntu5) oracular; urgency=medium

  * d/rules: Revert move of helper binaries (qemu-bridge-helper,
    virtfs-proxy-helper, vhost-user-gpu) from /usr/lib/qemu/ to
    /usr/libexec/qemu/.  This was starting to cause breakages on other
    packages (libvirt, for example), and Debian went the same
    route.  This change can be dropped next cycle when QEMU is merged
    again.
    See https://salsa.debian.org/qemu-team/qemu/-/commit/f265f4788f
    for Debian's counterpart. (LP: #2079870)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 10 Sep 2024 13:35:33 -0400

qemu (1:9.0.2+ds-4ubuntu4) oracular; urgency=medium

  * Fail gracefully when hotplugging a vCPU fails on PPC. (LP: #2076587)
    - d/p/u/lp2076587-cpu-hotplug-crashes-guest-*.patch: Backport
      patches for upstream fix.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 09 Sep 2024 14:50:55 -0400

qemu (1:9.0.2+ds-4ubuntu3) oracular; urgency=medium

  * d/p/u/lp2028964-add-support-sierra-forest.patch: Add support for
    Sierra Forest CPU model. (LP: #2028964, #2077361)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 05 Sep 2024 18:50:57 -0400

qemu (1:9.0.2+ds-4ubuntu2) oracular; urgency=medium

  * d/rules: Reinstate u-boot-sam460ex rules.
  * d/rules: Unset ELF_PACKAGE_METADATA when building ROMs.
    (LP: #2077431, #2077036)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 20 Aug 2024 22:40:20 -0400

qemu (1:9.0.2+ds-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064422). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
  * Add changes:
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data.
    - d/rules: Export DEB_BUILD_PROFILES with
      pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
    - d/rules: Temporarily disable generation of u-boot-sam460ex due
      to LP 2077036.
  * Drop changes:
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
      [ Unnecessary due to recent changes by Debian. ]
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
      [ Incoporated by Debian. ]
    - d/rules: Enable/disable extra features on microvm
      variant. (LP #2045594)
      [ Incorporated by Debian, with the addition of '--enable-vnc'
        which is necessary because otherwise it's not possible to
        interact with the microvm. ]
    - Move glusterfs storage driver to Universe in a new package
      (LP #2045063):
      + d/control{,-in}: new package qemu-block-supplemental for drivers
        we want in Universe
      + d/rules: we only want block-gluster.so in the new
        qemu-block-supplemental package. Adjust dynamically-created
        maintainer scripts for qemu-block-extra and -supplemental.
      [ Incorporated by Debian. ]
    - d/p/u/lp-2055003-*: Properly initialize max_cpus limit to
      SPAPR_IRQ_NR_IPIS, fixing a segfault on ppc64el. (LP #2055003)
      [ Incorporated upstream. ]
    - d/p/u/lp2012763-maxcpus-too-low.patch: Bump max_cpus to 1024 on
      Jammy amd64 machine types.  (LP #2012763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 15 Aug 2024 15:54:14 -0400

qemu (1:9.0.2+ds-4) unstable; urgency=medium

  * d/rules: fix the brown-paper-bag bug in last upload
  * d/changelog: remove "Closes #1075428" from the previous entry,
    that issue has nothing to do with qemu

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 12 Aug 2024 08:05:39 +0300

qemu (1:9.0.2+ds-3) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Install block-gluster.so (instead of block-glusterfs.so).

  [ Michael Tokarev ]
  * d/control: vdso is needed by qemu-USER targets, not system
  * d/control, d/rules: instead of requiring the same version of
    qemu-system-data for vdso, use a fixed version of last interest
  * d/rules: build both opensbi64 and opensbi32 firmware (was 32bit only)
  * d/rules: simplify openbios build rule with patsubst
  * d/rules: --disable-containers
  * +virtio-net-Ensure-queue-index-fits-with-RSS-CVE-2024-6505.patch
    (Closes: #1075919, CVE-2024-6505)
  * CVE-2024-7409 (nbd server DoS) fixes:
    +nbd-server-Plumb-in-new-args-to-nbd_client_add.patch
    +nbd-server-CVE-2024-7409-Cap-default-max-connections.patch
    +nbd-server-CVE-2024-7409-Drop-non-negotiating-client.patch
    +nbd-server-CVE-2024-7409-Close-stray-clients-at-serv.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 12 Aug 2024 07:06:03 +0300

qemu (1:9.0.2+ds-2) unstable; urgency=medium

  * d/rules: pass CROSS_COMPILE= to u-boot* config targets too,
    not just build targets
  * u-boot-sam460ex-build.patch: u-boot-sam460ex build fixes/workarounds
  * move helper binaries (qemu-bridge-helper, virtfs-proxy-helper,
    vhost-user-gpu) from usr/lib/qemu to usr/libexec/qemu
  * d/*.NEWS: use common indent of 2 spaces instead of sometimes-3
  * switch from gcc-arm-none-eabi to gcc-arm-linux-gnueabi
    to build npcm7xx vbootrom
  * d/rules: use the same cross_prefix_* variables in d/rules as
    ./configure recognizes and export them for ./configure
  * d/rules: expand seabios-hpppa build and use cross_prefix_hppa* vars
  * d/rules: do not install opensbi-riscv64-generic-fw_dynamic.elf
    (only .bin file is needed)
  * rebuild linux-user vdso files during arch-indep build,
    so no pre-built binaries are used:
     - require all cross compilers in Build-Depend-Indep
     - build vdso archive (build-vdso) and ship it in qemu-system-data
     - Build-Depends-Arch: qemu-system-data (=source:Version)
       (with vdso archive)
     - pkg.qemu.use-upstream-vdso profile to avoid all this
     - allow building and using vdso files in single arch+indep build
       without using vdso archive from qemu-system-data
     - pkg.qemu.omit-vdso-build-dep profile to omit the
       dependency on qemu-system-data (for single arch+indep build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 03 Aug 2024 19:23:13 +0300

qemu (1:9.0.2+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove patches applied upstream (from the previous upload)
  * + scsi-fix-regression-and-honor-bootindex-again-for-le.patch
    (https://forum.proxmox.com/threads/149772/post-679433)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 17 Jul 2024 14:11:32 +0300

qemu (1:9.0.1+ds-1) unstable; urgency=medium

  * new upstream release
  * linux-user-binfmt-P.diff: refresh
  * d/rules: install the right qemu-system-x86_64-microvm binary
  * d/control: Build-Depend-Indep: gcc-hppa64-linux-gnu
    (for 64bit seabios-hppa)
  * d/rules: install hppa-firmware64.img
  * d/qemu-user-static.lintian-overrides: embedded-library zlib
  * +meson-Fix-MESONINTROSPECT-parsing.patch - fix build in a dir containing
    tilde (~) or other special chars
  * add 3 patches from upstream (fixing CVE-2024-4467, adding tests
  * +block-Parse-filenames-only-when-explicitly-requested.patch
    (avoid potentially dangerous parsing of (embedded) filenames)
  * d/rules drop dwz version check for bullseye and before
  * d/qemu-system-xen.lintian-overrides: drop the now-unused override
  * rewrap description of qemu-system-modules-opengl to fit in 80 columns
  * d/qemu-block-extra.postinst: add #DEBHELPER# token

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 05 Jul 2024 17:08:48 +0300

qemu (1:8.2.5+ds-2) unstable; urgency=medium

  * d/gen-module-upgrade.sh: move removal of run-qemu.mount
    to qemu-block-extra.postinst
  * gen-modules-upgrade.sh &Co: extend to handle multiple packages
  * add (ubuntu-specific) qemu-block-supplemental package
    (with glusterfs module)
  * d/control: qemu-block-extra Provides: qemu-block-supplemental
    on debian to be compatible with ubuntu
  * d/control: enable libblkio on sparc64 too
    (becomes the same as gluster, all 64bit architectures)
  * move block-blkio to qemu-block-supplemental on ubuntu like block-glusterfs
  * note-missing-module-pkg-name.diff: refresh,
    mention qemu-block-supplemental package
  * qboot-Disable-LTO-for-ELF-binary-build-step.patch (from ubuntu)
    (LP#1988710 LP#1921664 #1015607)
  * d/rules: enable a few optional features for microvm build
    virtfs: 9pfs, easier guest managing from local filesystem
    linux-aio, linux-io-uring: scalability
    numa (scalability)
    seccomp (security)
    Most of this (besides io-uring) has been enabled on ubuntu (LP#2045594)
  * d/rules,d/control: add system-arch-linux-64 list
  * d/control: enable numa on all system-arch-linux
  * debian/rules: remove references to ia64 (it is dead)
  * d/control: remove seccomp from x32 build (system is not built on x32)
  * d/rule: make user-arch the same as system-arch-linux
    (adds powerpc & powerpcspe)
  * d/rules,d/control: enable loong64 (Closes: #1074513)
  * d/control: mark more build-deps/--enable with system-arch[-linux]
  * d/control: s/dbus/D-Bus/
  * d/rules: simplify ${VENDOR} handling and lowercase it

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jun 2024 23:21:27 +0300

qemu (1:8.2.5+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * d/control: drop rbd support on ppc64 and sparc64
    (it does not build there, always failing)
  * d/control: fuse is linux-only
  * d/control: ia64 is dead

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 13 Jun 2024 13:39:33 +0300

qemu (1:8.2.4+ds-2) unstable; urgency=medium

  * d/control: build-depend on pkgconf
  * annotate more deps for cross-build (#995622),
    incl. native glib for hexagon build-time tool
  * virtio-pci-Fix-the-use-of-an-uninitialized-irqfd.patch
    (fixing qemu segfault in cryptsetup CI)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 May 2024 14:59:28 +0300

qemu (1:8.2.4+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove patches applied upstream
  * enable libblkio (blkio extra block driver) on some 64bit platforms

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 20 May 2024 16:14:17 +0300

qemu (1:8.2.3+ds-2) unstable; urgency=medium

  * d/changelog: add Closes: for security bugs fixed by 8.2.3
  * static-linux-user-stubs: provide some stubs for static linux-user
    build (this avoids ld warnings about getpw*())
  * add 3 missing upstream commits to fix 8.2.3 breakage on riscv64
    The broken commit is 1e4ec0958e "target/riscv/kvm: fix
    timebase-frequency when using KVM acceleration", which requires
    other changes in the same patch series:
      target-riscv-kvm-change-KVM_REG_RISCV_FP_F-to-u32.patch
      target-riscv-kvm-change-KVM_REG_RISCV_FP_D-to-u64.patch
      target-riscv-kvm-change-timer-regs-size-to-u64.patch
    (Closes: #1069892)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 27 Apr 2024 20:09:22 +0300

qemu (1:8.2.3+ds-1) unstable; urgency=medium

  [ Michael Tokarev ]

  * new upstream stable/bugfix release
    Closes: #1068819, CVE-2024-26327, CVE-2024-26328
    Closes: #1068820, CVE-2024-3446
    Closes: #1068821, CVE-2024-3447
    Closes: #1068822, CVE-2024-3567
  * fix typo in newly added change (expection)
  * d/rules: run dh_installdocs for install-indep too

  [ Sergio Durigan Junior ]

  * d/control: Fix typo in long description of qemu-system-gui package

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 25 Apr 2024 07:48:12 +0300

qemu (1:8.2.2+ds-2) unstable; urgency=medium

  * d/control: fix qemu version in Breaks: to include the missing epoch
    (Closes: #1065469)
  * d/rules: remove x32 from qemu-user host arch list and add it to tools

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 Mar 2024 10:27:47 +0300

qemu (1:8.2.2+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * d/gen-module-upgrade.sh: change addfr() for clarity
  * d/rules: stop qemu-system-${arch} packages from providing themselves
    (different fix, really closes: #1063233)
  * d/rules: ensure ${sysdataidir} is created in pre-install-indep
  * d/control: stop build-depending on texinfo (not used)
  * d/rules: build docs directly with sphinx, --disable-docs, install more docs
  * move system docs to qemu-system-data
  * d/rules: stop compressing config examples
  * d/control: bc isn't needed for u-boot anymore
  * d/copyright: exclude python/wheels/*.whl (not used on debian)
  * remove patch included upstream now:
    ui-clipboard-mark-type-as-not-available-when-no-data-CVE-2023-6683.patch
  * d/rules: disable building qemu-system on x32
  * remove disable-xen-on-x32.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 04 Mar 2024 22:55:03 +0300

qemu (1:8.2.2+ds-0ubuntu3) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:27 +0200

qemu (1:8.2.2+ds-0ubuntu1) noble; urgency=medium

  * Merge version 8.2.2 from upstream. (LP: #2061005).  Cherry-picks from
    Debian:
    - d/p/ui-clipboard-mark-type-as-not-available-when-no-data-CVE-2023-6683.patch:
      Remove patch; included upstream.
    - d/control: clarify qemu-system-gui description: this is not a
      management gui for qemu
    - d/rules: stop qemu-system-${arch} packages from providing
      themselves (#1063233)
    - d/control{,-in}: Fix typo on qemu-system-gui description.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 12 Apr 2024 18:13:51 -0400

qemu (1:8.2.1+ds-2) unstable; urgency=medium

  * rework module-upgrade handling: do not ship /run/qemu.mount unit
    anymore, instead bind-mount-exec particular subdir in /run/qemu/
    on upgrade only if some qemu-system-foo processes are running
  * d/control: Rules-Requires-Root: no
  * d/control: Standards-Version: 4.6.2
  * d/rules: stop qemu-system-${arch} packages
    from providing themselves (Closes: #1063233)
  * d/rules: run ./configure in arch-indep build
    and build some roms from there
  * build x86 optionrom using qemu build rules
  * d/rules: move fragments which builds firmware out of qemu
    arch-indep subdir closer together (no code changes)
  * d/control: clarify qemu-system-gui description:
    this is not a management gui for qemu
  * d/control: set minimum version for libpipewire (for bullseye)
  * d/control: require recent python3 or separate tomli (for bullseye)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 24 Feb 2024 12:19:35 +0300

qemu (1:8.2.1+ds-1ubuntu9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:15 +1100

qemu (1:8.2.1+ds-1ubuntu8) noble; urgency=medium

  * d/p/u/lp2012763-maxcpus-too-low.patch: Actually set the max_cpus
    property of the new Mantic machine types. (LP: #2012763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 25 Mar 2024 14:58:39 -0400

qemu (1:8.2.1+ds-1ubuntu7) noble; urgency=medium

  * d/p/u/lp2012763-maxcpus-too-low.patch: Bump max_cpus to 1024 on
    Jammy amd64 machine types.  (LP: #2012763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 18 Mar 2024 16:48:22 -0400

qemu (1:8.2.1+ds-1ubuntu6) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:16:54 +0000

qemu (1:8.2.1+ds-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:31:21 +0000

qemu (1:8.2.1+ds-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:11:43 +0000

qemu (1:8.2.1+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:54:00 +0000

qemu (1:8.2.1+ds-1ubuntu2) noble; urgency=medium

  * d/p/u/lp-2055003-*: Properly initialize max_cpus limit to
    SPAPR_IRQ_NR_IPIS, fixing a segfault on ppc64el. (LP: #2055003)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 26 Feb 2024 15:32:25 -0500

qemu (1:8.2.1+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2051883, #2049703). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
    - d/rules: Enable/disable extra features on microvm
      variant. (LP #2045594)
    - Move glusterfs storage driver to Universe in a new package
      (LP #2045063):
      + d/control{,-in}: new package qemu-block-supplemental for drivers
        we want in Universe
      + d/rules: we only want block-gluster.so in the new
        qemu-block-supplemental package. Adjust dynamically-created
        maintainer scripts for qemu-block-extra and -supplemental.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 07 Feb 2024 13:01:14 -0500

qemu (1:8.2.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove all upstream-applied patches
  * d/patches/note-missing-module-pkg-name.diff: fixup
  * replace fix for CVE-2023-6683 (A different fix from upstream)
  * remove the mistakenly-added temp file in d/qemu-block-extra/
  * d/.gitignore: refresh

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 30 Jan 2024 10:32:17 +0300

qemu (1:8.2.0+ds-5) unstable; urgency=medium

  * d/rules, d/run-qemu.mount: use dh_installsystemd to install run-qemu.mount
    (Closes: #1060087)
  * update hppa and seabios-hppa patch series
  * ui-clipboard-avoid-crash-upon-request-when-clipboard-CVE-2023-6683.patch
    (Closes: #1060749, CVE-2023-6683)
  * +target-s390x-Fix-LAE-setting-a-wrong-access-register.patch
  * +tcg-s390x-Fix-encoding-of-VRIc-VRSa-VRSc-insns.patch
    fix chacha20 issue on s390x
  * update hw-vfio-fix-iteration-over-global-VFIODevice-list.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 18 Jan 2024 10:16:31 +0300

qemu (1:8.2.0+ds-4ubuntu2) noble; urgency=medium

  * Move glusterfs storage driver to Universe in a new package
    (LP: #2045063):
    - d/control{,-in}: new package qemu-block-supplemental for drivers
      we want in Universe
    - d/rules: we only want block-gluster.so in the new
      qemu-block-supplemental package. Adjust dynamically-created
      maintainer scripts for qemu-block-extra and -supplemental.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 02 Feb 2024 14:07:00 -0300

qemu (1:8.2.0+ds-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2048802, #2048776). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
  * Drop changes:
    - d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
      [ Incorporated by upstream on version 8.2.0. ]
  * Add changes:
    - d/rules: Enable/disable extra features on microvm
      variant. (LP: #2045594)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 10 Jan 2024 19:10:46 -0500

qemu (1:8.2.0+ds-4) unstable; urgency=medium

  * d/rules: fix "tail -20" usage
  * note-missing-module-pkg-name.diff: update, to be much more accurate
    No more sporadic warnings about missing audio backends etc
  * d/control: clarify qemu-system-gui and qemu-system-modules-* package
    descriptions a little bit (#1059457)
  * more fixups from the ML targetting stable:
   + hw-net-cadence_gem-fix-MDIO_OP_xxx-values.patch
   + tcg-ppc-use-new-registers-for-LQ-destination.patch
   + target-riscv-fix-mcycle-minstret-increment-behavior.patch
  * a bunch of hppa and seabios-hppa fixes targetting -stable for
    https://gitlab.com/qemu-project/qemu/-/issues/2044

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 04 Jan 2024 22:47:59 +0300

qemu (1:8.2.0+ds-3) unstable; urgency=medium

  * +virtio-net-correctly-copy-vnet-header-when-flushing-TX-CVE-2023-6693.patch
    Fix CVE-2023-6693 (virtio-net: stack buffer overflow in virtio_net_flush_tx)
  * +target-i386-the-sgx_epc_get_section-stub-is-reachable.patch
  * +target-xtensa-fix-OOB-TLB-entry-access.patch
  * d/rules: print last 20 lines of config.log & meson.log if ./configure fails

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 02 Jan 2024 15:54:35 +0300

qemu (1:8.2.0+ds-2) unstable; urgency=medium

  * include-ui-rect.h-fix-qemu_rect_init-mis-assignment.patch
    fixes virtio-gpu redraw issue (Closes: #1059211)
  * hw-vfio-fix-iteration-over-global-VFIODevice-list.patch
    fixes reboot issue with virtio-gpu
  * target-i386-do-not-re-compute-new-pc-with-CF_PCREL.patch
    fixes 4M edk2 stall in i386 tcg mode
  * block-fix-crash-when-loading-snapshot-on-inactive-no.patch
    fix possible assertion failure when loading snapshot

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 02 Jan 2024 12:10:14 +0300

qemu (1:8.2.0+ds-1) unstable; urgency=medium

  * new upstream release 8.2.0
    Closes: #1013952
  * d/rules: re-enable building static-pie binaries (the default) for
    qemu-user-static again (formally Closes: #1053101, LP:#1908331)
  * d/rules: add --disable-pie for static build on i386 due to #1056739
  * d/control: qemu-system-x86 depends on seabios >>1.16.3-1 due to ahci fix
  * d/qemu-user-static.lintian-overrides: +shared-library-lacks-prerequisites
    for static-pie executables
  * d/rules: omit qemu-user-static package from dh_shlibdeps run
    since dpkg-shlibdeps complains about static-pie binaries
  * d/rules: fix bugzilla.redhat.com url (migrated to issues.redhat.com)
  * d/patches: remove patches applied upstream
  * d/patches, d/rules: use --disable-relocatable instead of a patch
  * d/patches: refresh disable-xen-on-x32.patch
  * d/control: --enable-pixman (which is optional now)
  * d/rules: vnc needs pixman too (for xen and microvm builds)
  * d/copyright: stop excluding subprojects/dtc (not included anymore)
  * d/source/lintian-overrides: +source-is-missing for vdso.so files

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Dec 2023 18:21:19 +0300

qemu (1:8.1.3+ds-1ubuntu2) noble; urgency=medium

  * d/p/u/define-ubuntu-machine-types.patch: Remove -hpb Noble machine
    types, as they are not needed by OpenStack anymore. (LP: #2045592)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 04 Dec 2023 16:44:44 -0500

qemu (1:8.1.3+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2044425, #2039700). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
    - d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
  * Drop changes:
    - d/rules: Incorporate the following changes from Debian unstable, in
      order to fix the FTBFS caused by -fcf-protection:
      + d/rules: move icons install rules to install-misc section
      + d/rules: stop running whole thing with dh, take back *-indep sequence
      + d/rules: implement arch-dependent install/build targets without dh too
      [ Fixed in Debian. ]
    - d/rules: Get rid of binary-helper target; explicitly invoke its
      commands under binary-{arch,indep}.  This makes the build succeed
      again in Ubuntu, where binary-helper wasn't being properly invoked.
      [ Fixed in Debian. ]
    - d/p/u/lp2003673-update-linux-headers-6.3rc5.patch,
      d/p/u/lp2003673-update-linux-headers-6.5rc1.patch,
      d/p/u/lp2003673-s390x-fix-missing-subsystem-reset-registration.patch:
      Drop some of the patches to Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
      [ Applied upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 22 Nov 2023 21:34:19 -0500

qemu (1:8.1.3+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove patches applied upstream:
   - linux-user-Fixes-for-zero_bss.patch
   - target-mips-Fix-MSA-BZ-BNZ-opcodes-displacement.patch
   - hw-ide-reset-cancel-async-DMA-operation-before-reset.patch
  * d/control, d/qemu-system-gui.install: enable pipewire audio support
    (Closes: #1055221)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Nov 2023 17:56:06 +0300

qemu (1:8.1.2+ds-1) unstable; urgency=medium

  * upstream 8.1.2 stable/bugfix release
  * remove all stable-staging/ patches and two more
    (all included into 8.1.2)
  * d/rules: microvm build: do not explicitly enable avx2

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 17 Oct 2023 09:44:39 +0300

qemu (1:8.1.1+ds-2) unstable; urgency=medium

  * d/rules: fix binary target to produce both arch and indep
    binaries instead of omitting indep one(s)
  * d/patches: sync with current staging-8.1 branch, many new fixes
  * additional fixes:
    +hw-ide-ahci-fix-legacy-software-reset.patch
    +target-mips-Fix-MSA-BZ-BNZ-opcodes-displacement.patch
    +hw-ide-reset-cancel-async-DMA-operation-before-reset.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Oct 2023 12:28:55 +0300

qemu (1:8.1.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove all stable-staging/ patches, keep
    softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
  * vfio-display-fix-missing-update-to-set-backing-field.patch
  * scsi-disk-disallow-small-block-sizes-CVE-2023-42467.patch
    (Closes: #1051899, CVE-2023-42467)
  * migration-qmp-Fix-crash-on-setting-tls-authz-with-nu.patch
  * d/patches/move-vl-opts/ - stop linking everything with async-teardown.c,
    un-FTBFS on ia64
  * d/control: minor: remove old todo comments
  * d/control: disable rbd (ceph) on 32bit platforms (Closes: #1053172)
  * d/control: enable rbd on riscv64 once it's built there
  * d/copyright: also remove subprojects/dtc

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 Oct 2023 22:11:24 +0300

qemu (1:8.1.0+ds-6) unstable; urgency=medium

  * re-enable softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
  * add https://www.mail-archive.com/qemu-devel@nongnu.org/msg989073.html
    fixing https://gitlab.com/qemu-project/qemu/-/issues/1866
  * d/rules: reorder some definitions to evaluate in proper order

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Sep 2023 23:31:59 +0300

qemu (1:8.1.0+ds-5) unstable; urgency=medium

  * disable softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
    The change in softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
    which is a fix for https://gitlab.com/qemu-project/qemu/-/issues/1864
    (x86 VM with TCG and SMP fails to start on 8.1.0)
    introduces https://gitlab.com/qemu-project/qemu/-/issues/1866
  * more patches from stable-staging
  * re-introduce qemu-debootstrap for now until all users of it will
    be converted to regular debootstrap

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 19:10:34 +0300

qemu (1:8.1.0+ds-4) unstable; urgency=medium

  * d/changelog: fix spelling
  * +linux-user-Fixes-for-zero_bss.patch: fix linux-user zero_bss bug
  * many small changes for d/rules
  * d/rules: split out qemu-user build out out of main qemu build
    When both system and linux-user builds are enabled, linux-user
    build is getting features only relevant for system (softmmu)
    configuration, like linking with liburing, libnuma and other
    softmmu-only stuff.  So build it separately.
    This not only makes qemu-user smaller and neater, but it also
    makes Built-Using field for qemu-user-static (which is generated
    from Depends field of qemu-user) accurate.
  * d/qemu-user[-static].docs: use unprocessed .rst doc instead of html
  * d/rules: check for nocheck in DEB_BUILD_PROFILES too,
    not only DEB_BUILD_OPTIONS
  * d/rules, d/control: disable build-time test due to apparent dak bug

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Sep 2023 14:19:32 +0300

qemu (1:8.1.0+ds-3) unstable; urgency=medium

  * d/control: split out most of Build-Depends to Build-Depends-Arch, in order
    to break B-D loop on qemu-system-data (it is only needed for -Arch) and
    to reduce arch-all build time.
    Only very few things left in common Build-Depends.
  * Removing most things from B-D discovered that skiboot includes openssl
    header(s) (!), so add libssl-dev to Build-Depends-Indep.
  * d/control,d/rules: introduce build profiles to omit building some packages
    (mostly debugging aid, to reduce test build run time).
  * d/rules: use ninja directly for various qemu builds
    (non-verbose build now shows errors/warnings nicely)
  * d/control: Rules-Requires-Root: "binary-targets", not "no", -
    this enables building as non-root, finally
  * d/rules: add forgotten -p for mkdir b/user-static
  * d/not-installed: list 2 files from user/ manual
    (which is built even on unsupported architectures)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Sep 2023 01:30:15 +0300

qemu (1:8.1.0+ds-2) unstable; urgency=medium

  * d/control: fix descriptions of qemu-system-gui and
    qemu-system-modules-spice packages
  * update lintian-overrides
  * d/rules: enable verbose (-v) build for qboot
  * d/rules: move lto control to where it actually works
  * d/rules: remove usage of "standard dh sequencer".
    It has multiple issues.  To name a few:
    - it exports CFLAGS &Co which breaks badly when trying to compile
      bios/firmware code (fixes FTBFS with new -fcf-protection)
    - it performs multiple recursive calls to d/rules which is
      slow when make variables are set using $(shell), - annoying
      when debugging
    - it hides actual actions being done at install/binary stages
    - it is confusing in override_dh_foo{,-indep,-arch}
    - it does just too much unknown magic, - just give the control
      back.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 09 Sep 2023 22:37:02 +0300

qemu (1:8.1.0+ds-1) unstable; urgency=medium

  * d/changelog: mention closing of #984451, CVE-2021-20255 by 8.1
  * d/changelog: mention closing of #1041471 by 8.1
  * d/patches: add patches currenly staged for 8.1.1
  * d/gbp.conf: switch from experimental to master
  * upload to unstable

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 09 Sep 2023 17:03:54 +0300

qemu (1:8.1.0+ds-1~exp2) experimental; urgency=medium

  * qemu-system-modules-spice & qemu-system-modules-opengl packages,
    containing optional spice and opengl modules from qemu-system-common.
    Both are recommended by all qemu-system-* but can be removed if not
    used, to reduce list of dependencies.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Aug 2023 12:37:55 +0300

qemu (1:8.1.0+ds-1~exp1) experimental; urgency=medium

  * new upstream release
    Closes: #1041102, CVE-2023-3019 (NIC DMA reentrancy issue, problem class)
    Closes: CVE-2021-3750 (DMA MMIO reentrancy issue, problem class)
    Closes: #984451, CVE-2021-20255 (DMA reentrancy issue)
    Closes: #1041471 (qemu-user armel commpage mapping bug)
  * d/watch: change repack suffix to +ds
  * d/patches: remove patches applied upstream
  * disable-xen-on-x32.patch: refresh
  * d/copyright: stop stripping dtc/ and meson/, removed upstream
  * d/rules: replace --with-git-submodules=ignore with --disable-download
  * d/control: build-depend on python3-venv
  * d/control: bump minimum meson version to 0.63.0
  * d/control: build-depend on seabios & qemu-system-data for the testsuite.
    qemu testsuite runs qemu-system binaries which require firmware even for
    simple tests
  * d/rules: run `make check-block' after the main build, as a minimal test
    for now
  * qemu-img-omit-errno-value-in-error-message.patch fixes check-block tests
    on mips* where errno values are different from other architectures.
  * late fix for 8.1 linux-user-Adjust-brk-for-load_bias.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Aug 2023 08:01:13 +0300

qemu (1:8.0.4+dfsg-3) unstable; urgency=medium

  * d/rules: export PYTHONDONTWRITEBYTECODE=1 to stop generating .pyc files
    (Closes: #1046056)
  * d/control: list more CPU types emulated by qemu in package descriptions
  * d/control: refine qemu-system-gui package description
  * d/rules: remove --interp-prefix= configure option
  * late fix for 8.1: target-arm-Fix-SME-ST1Q.patch
  * late fix for 8.1: target-arm-Fix-64-bit-SSRA.patch
  * d/control: remove old versions from build-deps

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 22 Aug 2023 20:15:07 +0300

qemu (1:8.0.4+dfsg-2) unstable; urgency=medium

  * remove linux-user-show-heap-address-in-proc-pid-maps.patch
  * pick 2 nvme fixes from upstream:
   - hw-nvme-fix-oob-memory-read-in-fdp-events-log-CVE-2023-4135.patch
     Closes: #1050142, CVE-2023-4135
   - hw-nvme-fix-null-pointer-access-in-directive-receive-CVE-2023-40360.patch
     Closes: #1050140, CVE-2023-40360
  * d/rules: --enable-virtfs (--enable-attr --enable-cap-ng) for xen build
    to enable 9pfs (Closes: #1049925)
  * d/rules: run-qemu.mount is linux-specific too
    (if we ever do non-linux system build)
  * d/control: disable sndio on debian too (disabled on ubuntu), for now anyway
  * d/*.install, d/rules: explicitly list all qemu-system modules
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * d/changelog: fix 7.1+dfsg-1 changelog entry (qemu-user and qemu-system)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 21 Aug 2023 09:57:59 +0300

qemu (1:8.0.4+dfsg-1ubuntu5) noble; urgency=medium

  * d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
    hardware to Secure Execution guests. (LP: #2003673)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 16 Nov 2023 10:35:58 -0500

qemu (1:8.0.4+dfsg-1ubuntu4) noble; urgency=medium

  * Rebuild against new libnfs14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 10:46:01 +0200

qemu (1:8.0.4+dfsg-1ubuntu3) mantic; urgency=medium

  * d/rules: Get rid of binary-helper target; explicitly invoke its
    commands under binary-{arch,indep}.  This makes the build succeed
    again in Ubuntu, where binary-helper wasn't being properly invoked.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 03 Oct 2023 18:13:20 -0400

qemu (1:8.0.4+dfsg-1ubuntu2) mantic; urgency=medium

  * d/rules: Incorporate the following changes from Debian unstable, in
    order to fix the FTBFS caused by -fcf-protection:
    - d/rules: implement arch-dependent install/build targets without dh too
    - d/rules: stop running whole thing with dh, take back *-indep sequence
    - d/rules: move icons install rules to install-misc section

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 27 Sep 2023 14:53:27 -0400

qemu (1:8.0.4+dfsg-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 14 Aug 2023 16:28:34 -0400

qemu (1:8.0.4+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: CVE-2023-3180 (virtual crypto virtio_crypto_handle_sym_req)
    Closes: CVE-2023-3354 (VNC server QIOChannel NULL ptr deref)
    Closes: CVE-2023-3255 (VNC: infinite loop in inflate_buffer)
  * d/patches: remove patches picked up from stable-staging branch
    which are applied in 8.0.4
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * remove xen-specific wrapper for qemu-system-i386
    (needed for bookworm upgrade only)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Aug 2023 22:13:36 +0300

qemu (1:8.0.3+dfsg-5) unstable; urgency=medium

  * remove previous 2 mmap/brk patches for now
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    These are intended for 8.1, and causes other issues on 8.0.
    Closes: #1042808
    Reopens: #1040981

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Aug 2023 10:55:50 +0300

qemu (1:8.0.3+dfsg-4ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028873, #2028124). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 31 Jul 2023 23:09:27 -0400

qemu (1:8.0.3+dfsg-4) unstable; urgency=medium

  * more linux-user address fixes from Helge Deller
    Remove
     stable-staging/linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
     linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Add
     linux-user-show-heap-address-in-proc-pid-maps.patch
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    This *might* fix #1041859.
  * stable-staging/tcg-ppc-fix-race-in-goto_tb-implementation.patch
    fix qemu sigsegv on ppc -smp. Should fix autopkgtests (debvm, others)
  * Stop passing --no-start to qga's dh_installsystemd.
    qga is activated from an udev rule, but we need to restart it on upgrade.
    Change by Sergio Durigan.  Closes: LP#2028124.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Jul 2023 07:51:20 +0300

qemu (1:8.0.3+dfsg-3) unstable; urgency=medium

  * d/control: glusterfs: drop pre-buster glusterfs-common alternative,
    restrict glusterfs support to 64bit (see #1039604)
  * linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Fix (band-aid for now) an unexpected breakage caused by the previous
    patch in this area which fixes static executables loading on armhf.
  * d/binfmt-install: update mips* magic strings from upstream commit
    77d119dd335f910c7:
    mips: allow nonzero EI_ABIVERSION, distinguish o32 and n32
    (Closes: #1041597)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Jul 2023 11:53:38 +0300

qemu (1:8.0.3+dfsg-2) unstable; urgency=medium

  * d/patches: set Forwarded: URLs for some patches
  * add 5 qemu-user fixes staging for the next stable:
   linux-user-make-sure-initial-brk-0-is-page-aligned.patch
   linux-user-fix-qemu-brk-to-not-zero-bytes-on-current-page.patch
   linux-user-prohibit-brk-to-to-shrink-below-initial-address.patch
   linux-user-fix-signed-math-overflow-in-brk-syscall.patch
   linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
   (Closes: #1040981)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Jul 2023 09:59:49 +0300

qemu (1:8.0.3+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release 8.0.3
    Including the following security fix(es):
    - 9pfs: prevent opening special files (CVE-2023-2861)
  * remove patches now included upstream:
   - hw-mips-malta-fix-the-malta-machine-on-big-endian-hosts.patch
   - qga-fix-suspend-on-linux-guests-without-systemd.patch
   - hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
   - linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch
  * d/rules: omit qemu-systemd-data from dh_dwz run
  * d/rules: create qemu-system-armhf & qemu-system-armel aliases
    for qemu-system-arm (Closes: #1040209)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Jul 2023 15:07:04 +0300

qemu (1:8.0.2+dfsg-3) unstable; urgency=medium

  * d/patches/*: update, add DEP-3 headers
  * d/rules: strip ../../ prefix from compile paths
    to undo sub-subdir build (-ffile-prefix-map)
  * linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch:
    (hackish) fix for recent memory failures

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Jun 2023 18:36:33 +0300

qemu (1:8.0.2+dfsg-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018103). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
  * Drop changes:
    - d/control-in: libnfs is in main since focal, enable direct nfs
      storage support (LP 1988704)
      [ Adopted by Debian. ]
    - d/control-in: libsndio is in universe in ubuntu
      [ Adopted by Debian. ]
    - Fix FTBFS with glibc >= 2.36. (LP #2015418)
      + d/p/fix-ftbfs-glibc-*.patch: Revert now-unnecessary
        upstream commits that were working around a glibc issue.
      [ Incorporated upstream. ]
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
      [ Debian linked the qemu-system-x86 documentation with the
        qemu-system-common package, rendering this README file not
        applicable. ]
    - d/p/u/allow-repeating-hot-unplug-requests.patch: Allow repeating
      hot-unplug requests by making ACPI PCI able to requeue them.
      (LP #2018733)
      [ Applied upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 19 Jun 2023 15:45:09 -0400

qemu (1:8.0.2+dfsg-2) unstable; urgency=medium

  * d/rules: --enable-libusb for xen build (Closes: #1037341)
  * reapply linux-user-binfmt-P.diff.
    Re-rely on qemu-user's argv0 to detect it is running in binfmt context.
    The problem is that while we ship kernel which can pass this info the
    qemu way, there are many containers which are running on older kernels
    still, including bullseye kernel (5.10) which does not have this feature.
    Keep it for a bit more.
  * hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
    Pick a patch from upstream mailinglist to fix regression in 8.0.2

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 22:25:50 +0300

qemu (1:8.0.2+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: #1029155, CVE-2023-0330:
    A DMA-MMIO reentrancy problem in lsi53c895a device
  * keep full upstream version number, not just first 2 components
    (Closes: #855966)
  * d/copyright: remove stray newline
  * d/control: drop libuuid-dev build-dep (not used)
  * clarify files in d/not-installed just a little bit
  * fixup qemu(1) refs in qemu-storage-daemon(1)
  * move qemu-storage-daemon and qemu-block-drivers.7
    from qemu-system-common to qemu-utils
  * remove patches now included upstream:
   - linux-user-fix-getgroups-setgroups-allocations.patch
   - rtl8139-fix-large_send_mss-divide-by-zero.patch
   - target_i386-Change-wrong-XFRM-value.patch
  * qga-fix-suspend-on-linux-guests-without-systemd.patch
    (hopefully Closes: #1004943)
  * d/rules: disable pvrdma (Closes: #1034179, CVE-2023-1544)
    CVE-2023-1544:
     huge number of page tables for a ring of descriptors for CQ and
     async events, potentially leading to an OOB read and crash

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 11 Jun 2023 11:49:17 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qemu-block-extra-hwe`.
